petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSPseudoVerifyTimeStep

Verifies whether the last timestep was acceptable.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoVerifyTimeStep(TS ts,Vec update,PetscReal *dt,PetscBool *flag)

Collective on TS Many br

### Input Parameters

| ts | - timestep context Many br
| update | - latest solution vector Many br

### Output Parameters

| dt | - newly computed timestep (if it had to shrink) Many br
| flag | - indicates if current timestep was ok Many br

Many br

### Notes

The routine to be called here to compute the timestep should be Many brset by calling TSPseudoSetVerifyTimeStep(). Many br

### Keywords

timestep, pseudo, verify

### See Also

TSPseudoSetVerifyTimeStep(), TSPseudoVerifyTimeStepDefault()

Level:advanced
Location:src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages